Bug 115804 - CAN-2004-0104/0105 Metamail vulnerabilities
Summary: CAN-2004-0104/0105 Metamail vulnerabilities
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: metamail (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-16 10:07 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-18 11:59:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:073 normal SHIPPED_LIVE Important: metamail security update 2004-02-18 05:00:00 UTC

Description Mark J. Cox 2004-02-16 10:07:13 UTC
Ulf Härnhammar discovered two integer overflow bugs and two buffer
overflow bugs in versions of Metamail up to and including 2.7.  An
attacker could create a carefully crafted message such that when it is
opened by a victim and parsed through Metamail it runs arbitrary code
as the victim. 

Please note that Red Hat Enterprise Linux 3 does not contain Metamail
and is therefore not vulnerable to these issues.

Embargoed until Feb18 2004

Comment 1 Mark J. Cox 2004-02-16 10:08:13 UTC
RHSA-2004:074 in progress with metamail-2.7-29 packages.

Comment 2 Mark J. Cox 2004-02-18 11:59:38 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-073.html


Comment 3 Mark J. Cox 2004-02-18 12:03:58 UTC
(removing embargo on bug entry)


Note You need to log in before you can comment on or make changes to this bug.